Our Newsletter


DSi 1.4.4 system compatible cards

Posted on 25th Mar 2012 @ 10:39 PM

Nintendo DSi system has been updated to V1.4.4 ! System stability and other adjustments has been improved,therefore,the new firmware update also includes further improvements to overall system stability and other minor adjustments have been made to enhance the user experience.

The lasted DSi 1.4.4 update has been proved blocks many flash cards.The following flashcarts have been confirmed to be compatible with the firmware 1.4.4

R4i Gold 3DS Card - r4ids.cn

r4ids.cn confirmed the R4i Gold 3DS with lasted Wood R4 Can work for DSi 1.4.4 by upgrade the fimware patch

R4i Gold Plus - r4ids.com

R4I Gold Plus support DSi 1.4.4 system running

Supercard DStwo

Supercard DStwo work on DSi 1.4.4 well ,please update the firmware 1.13 by following the official guide page.

EZ FLASH VI

EZ Flash Vi has been proved to compatile with DSi 1.4.4 system.

Warning:Other flashcarts,like R4i SDHC 1.4.3,M3i zero,AK2i etc do not support DSi 1.4.4 system currently,do not update your DSi system until you make sure your flashcart has been updated to 1.4.4 already.